Uses of Class
com.eqixiac.equinix.fabric.beta.model.AppLinkAppProcessorAttachment
Packages that use AppLinkAppProcessorAttachment
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AppLinkAppProcessorAttachment in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return AppLinkAppProcessorAttachmentModifier and TypeMethodDescriptionAppLinks.attachAppProcessor(String appLinkId, String appProcessorId, AppLinkAttachProcessorRequest request) Attach Processor to Link:PUT /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationattachAppProcessorToAppLink).AppLinks.detachAppProcessor(String appLinkId, String appProcessorId) Detach App Processor from App Link:DELETE /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationdetachAppProcessorFromAppLink).AppLinks.getAttachedAppProcessor(String appLinkId, String appProcessorId) Get attached App Processor for App Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationgetAttachedAppProcessor).Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type AppLinkAppProcessorAttachmentModifier and TypeMethodDescriptionAppLinks.listAttachedAppProcessors(String appLinkId) Get attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).AppLinks.listAttachedAppProcessors(String appLinkId, AttachmentQuery query) Get attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).AppLinks.searchAttachedAppProcessors(String appLinkId) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).AppLinks.searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).AppLinks.searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors). -
Uses of AppLinkAppProcessorAttachment in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return AppLinkAppProcessorAttachmentModifier and TypeMethodDescriptionAppLinksImpl.attachAppProcessor(String appLinkId, String appProcessorId, AppLinkAttachProcessorRequest request) AppLinksImpl.detachAppProcessor(String appLinkId, String appProcessorId) AppLinksImpl.getAttachedAppProcessor(String appLinkId, String appProcessorId) Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type AppLinkAppProcessorAttachmentModifier and TypeMethodDescriptionAppLinksImpl.listAttachedAppProcessors(String appLinkId) AppLinksImpl.listAttachedAppProcessors(String appLinkId, AttachmentQuery query) AppLinksImpl.searchAttachedAppProcessors(String appLinkId) AppLinksImpl.searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter) AppLinksImpl.searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter, SortPropertyList sort)